KDE 4.3 PyKDE API Reference

- KDE's Python API

# ExtenderGroup Class Reference

`from PyKDE4.plasma import *`

Inherits: Plasma.ExtenderItem → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

ExtenderGroup plasma/extendergroup.h <Plasma/ExtenderGroup>

Allows for grouping of extender items.

To be able to group multiple items together, you'll need to instantiate an ExtenderGroup, and call setGroup() on all extender items you wish to add to this group. This ExtenderGroup is just the same as any other ExtenderItem, except for the expand group and collapse group buttons it provides, and the fact that it will automatically hide itself if less then one item belong to this group and autoHide is set to true.

Since:
  4.3

## Methods

| __init__ (self, Plasma.Extender parent, long groupId=0)
bool | autoHide (self)
| collapseGroup (self)
| expandGroup (self)
[Plasma::ExtenderIte] | items (self)
| setAutoHide (self, bool autoHide)

## Method Documentation

__init__ | ( | self, |
|  | Plasma.Extender | parent,
|  | long | groupId=0
| ) |  |  |

Creates a group.

Parameters:

  | applet | The applet this group is part of. Null is not allowed here.

bool autoHide | ( |  | self ) |

Returns:
  whether or not this item hides itself if there are less then 2 items in.

collapseGroup | ( |  | self ) |

Collapses this group to hide all ExtenderItems that are contained in this group, and shows the summary item.

expandGroup | ( |  | self ) |

Expands this group to show all ExtenderItems that are contained in this group.

[Plasma::ExtenderIte] items | ( |  | self ) |

Returns:
  a list of items that belong to this group.

setAutoHide | ( | self, |
|  | bool | autoHide
| ) |  |  |

Parameters:

  | autoHide | whether or not this item hides itself if less then 2 items belong to this group.